:root
{
  --color-approval-false: #ED1E45;
  --color-approval-true: #6BF178;
  --color-blocker: #FCA03644;
  --color-info: #4CABFF;
  --color-link: #0797E1;
  --color-phase-planned: #4CABFF;
  --color-phase-development: #FFE74C;
  --color-phase-featurefreeze: #FCA036;
  --color-phase-codefreeze: #ED1E45;
  --color-phase-storereview: #6BF178;
}

body
{
  font-family: sans-serif;
  text-align: center;
  background-color: #EEE;
}

main
{
  display: inline-block;
  width: 100%;
  max-width: 1000px;
  padding: 1.5rem 2rem 3rem 2rem;
  border: 1px solid #CDCDCD;
  border-radius: 4px;
  text-align: left;
  background-color: #FFF;
}

a
{
  color: var(--color-link);
}

/*******************************************************************************
 * Dots
 ******************************************************************************/

.phase-dot
{
  display: inline-block;
  width: 1em;
  height: 1em;
  border-radius: 0.5em;
  background-color: #CCC;
}

.phase-dot.phase-planned
{
  background-color: var(--color-phase-planned);
}

.phase-dot.phase-development
{
  background-color: var(--color-phase-development);
}

.phase-dot.phase-featurefreeze
{
  background-color: var(--color-phase-featurefreeze);
}

.phase-dot.phase-codefreeze
{
  background-color: var(--color-phase-codefreeze);
}

.phase-dot.phase-storereview
{
  background-color: var(--color-phase-storereview);
}

/*******************************************************************************
 * Labels
 ******************************************************************************/

.approval-label,
.blocker-label,
.phase-label
{
  display: inline-block;
  padding: 5px 10px;
  border-radius: 4px;
  font-size: 0.8em;
  background-color: #CCC;
}

.approval-label.approved
{
  background-color: var(--color-approval-true);
}

.approval-label:not(.approved)
{
  color: #FFF;
  background-color: var(--color-approval-false);
}

.blocker-label
{
  background-color: var(--color-blocker);
}

.phase-label[data-phase="planned"]
{
  background-color: var(--color-phase-planned);
}

.phase-label[data-phase="development"]
{
  background-color: var(--color-phase-development);
}

.phase-label[data-phase="featurefreeze"]
{
  background-color: var(--color-phase-featurefreeze);
}

.phase-label[data-phase="codefreeze"]
{
  color: #FFF;
  background-color: var(--color-phase-codefreeze);
}

.phase-label[data-phase="storereview"]
{
  background-color: var(--color-phase-storereview);
}

.phase-label:not([data-phase="planned"]) > .phase-planned,
.phase-label:not([data-phase="development"]) > .phase-development,
.phase-label:not([data-phase="featurefreeze"]) > .phase-featurefreeze,
.phase-label:not([data-phase="codefreeze"]) > .phase-codefreeze,
.phase-label:not([data-phase="storereview"]) > .phase-storereview,
.phase-label:not([data-phase="closed"]) > .phase-closed
{
  display: none;
}
